%define _requires_exceptions      pear(tests/Net_Sieve/Sieve.php)
%define upstream_name Net_Sieve
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.3.2
Release:     	%mkrel 3
Summary:    	Handles talking to a sieve server
License: 	BSD
Group: 		Development/PHP
Source0:	http://pear.php.net/get/Net_Sieve-%{version}.tgz
URL: 		http://pear.php.net/package/Net_Sieve
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket >= 1.0
Requires:	php-pear- >= 1.4.0b1
BuildArch: 	noarch

%description
This package provides an API to talk to servers implementing the
managesieve protocol. It can be used to install and remove sieve scripts,
mark them active etc.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Sieve.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Sieve.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Sieve
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Net_Sieve.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 377031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 spuhler <spuhler> 1.3.2-2.mga2
+ Revision: 202116
- added missing file as exceptions

* Sun Jan 22 2012 spuhler <spuhler> 1.3.2-1.mga2
+ Revision: 199917
- upgrade to 1.3.2
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 1.3.0-1.mga1
+ Revision: 27979
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Sieve

